const AppDAO = require("./src/dao");
const AIQNETSample = require("./src/aiqnetsample");
const Repository = require("./src/repository");
const FHIR = require("./src/fhir")

const FHIR_URL = "http://localhost:8080/fhir/";

const fhir = new FHIR(FHIR_URL);
const db = new AppDAO();
const repository = new Repository(db, fhir);

const app = new AIQNETSample(repository);

app.start();
